curl --request PUT \
--url https://scx-sbx.api.jtl-software.com/v1/channel/shipping-rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"supportedCarrierList": [
{
"carrierId": "C102",
"displayName": "Deutsche Post"
}
]
}
'import requests
url = "https://scx-sbx.api.jtl-software.com/v1/channel/shipping-rules"
payload = { "supportedCarrierList": [
{
"carrierId": "C102",
"displayName": "Deutsche Post"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({supportedCarrierList: [{carrierId: 'C102', displayName: 'Deutsche Post'}]})
};
fetch('https://scx-sbx.api.jtl-software.com/v1/channel/shipping-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errorList": [
{
"code": "VAL100",
"message": "Required field sellerId not found",
"severity": "error",
"hint": "Check the field `sellerId` — it must be a non-empty string."
}
]
}{
"errorList": [
{
"code": "GEN404",
"message": "Not found",
"severity": "error",
"hint": null
}
]
}{
"errorList": [
{
"code": "GEN500",
"message": "Internal Server Error",
"severity": "error",
"hint": null
}
]
}Shipping Rules
Shipping Rules can be used to define a list of Carriers which are supported by the connected Marketplace
(supportedCarrierList). A connected Seller integration will provide the Id to the Carrier when the Shipping
Information is transmitted. (see Event Type: Seller:Order.Shipping)
Authorizations
As a Channel Integrator you will receive a API Refresh Token. With such a Refresh Token you need to request an Access Token with a limited Lifetime (see POST /v1/auth). This Access Token must be provided as a Bearer Token in the Authorization Header with every request.
Body
Set of shipping rules (carrier, region, cost) supported by the channel.
Shipping rules supported by the channel — list of carriers and the regions they cover.
Show child attributes
Show child attributes
Response
Shipping Rules Created
Was this page helpful?